ch.dieseite.colladaloader.wrappers

## Class Triangle

- java.lang.Object
- - ch.dieseite.colladaloader.wrappers.Triangle

- All Implemented Interfaces:
    java.io.Serializable

      public class Triangle
      extends java.lang.Object
      implements java.io.Serializable

  This source is free; you can redistribute it and/or modify it under the terms of the GNU General Public License and by nameing of the originally author

  Version:
    3.0
  Author:
    Markus Zimmermann http://www.die-seite.ch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Point3D` | `A` the 3 Vertices of the Triangle
    `Point3D` | `B` the 3 Vertices of the Triangle
    `Point3D` | `C` the 3 Vertices of the Triangle
    `Color` | `colour` the color of the Triangle if the Triangle has no texture
    `boolean` | `containsTexture` says if the Triangle has Texture
    `java.lang.String` | `imageFileName` the Filename of the texture-Image
    `PImage` | `imageReference` an object reference of a loaded image by Processing.
    `Point2D` | `texA` Texture-Points
    `Point2D` | `texB` Texture-Points
    `Point2D` | `texC` Texture-Points

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Triangle()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### A

          public Point3D A

      the 3 Vertices of the Triangle

    - #### B

          public Point3D B

      the 3 Vertices of the Triangle

    - #### C

          public Point3D C

      the 3 Vertices of the Triangle

    - #### texA

          public Point2D texA

      Texture-Points

    - #### texB

          public Point2D texB

      Texture-Points

    - #### texC

          public Point2D texC

      Texture-Points

    - #### imageFileName

          public java.lang.String imageFileName

      the Filename of the texture-Image

    - #### containsTexture

          public boolean containsTexture

      says if the Triangle has Texture

    - #### imageReference

          public transient PImage imageReference

      an object reference of a loaded image by Processing. Default is null.

    - #### colour

          public Color colour

      the color of the Triangle if the Triangle has no texture

  - ### Constructor Detail

    - #### Triangle

          public Triangle()